################################################################################
# Class Definition                                                             #
################################################################################

module DevopsLibrary
  module Providers
    class Package
       @id
       @version
       @data
       @url
       def initialize(id, version, data=nil, url=nil)
          @id = id
          @version = version
          @data = data
          @url = url
        end
      
        def id
          @id
        end
      
        def id=(value)
          @id = value
        end
        
        def version
          @version
        end
      
        def version=(value)
          @version = value
        end
        
        def data
          @data
        end
      
        def data=(value)
          @data = value
        end
        
        def url
          @url
        end
      
        def url=(value)
          @url = value
        end
    end
  end
end