require 'weaver/core/base.rb'
require 'weaver/providers/delegating_deployer'

module Weaver
  module Providers
    # A provider that merely deploys inner Topology s.  It cannot deploy Node s.
    # @see Weaver::Deployers::Deployer
    #
    # Author:: Ed Snible
    # Copyright:: IBM
    class DelegatingProvider
      
      def initialize()
      end
      
      # Create a deployer
      def deployer(properties = {}, &reporter)
        return DelegatingDeployer.new(properties, &reporter)
      end
      
    end
  end
end