# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "devops_deployment_lib"
  s.version = "0.2.4"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["John Ryding"]
  s.date = "2013-04-18"
  s.description = "A simple set of APIs that help applications get deployed to plaform environments."
  s.email = ["jryding@us.ibm.com"]
  s.homepage = "http://devops.raleigh.ibm.com"
  s.require_paths = ["lib"]
  s.rubygems_version = "1.8.24"
  s.summary = "A deployment library to help with the provisioning of applications."

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<httpclient>, ["~> 2.2.3"])
      s.add_runtime_dependency(%q<json>, [">= 1.5.0"])
      s.add_runtime_dependency(%q<rubyzip>, ["~> 0.9.5"])
      s.add_development_dependency(%q<cucumber>, ["< 1.2.2", ">= 1.2.0"])
    else
      s.add_dependency(%q<httpclient>, ["~> 2.2.3"])
      s.add_dependency(%q<json>, [">= 1.5.0"])
      s.add_dependency(%q<rubyzip>, ["~> 0.9.5"])
      s.add_dependency(%q<cucumber>, ["< 1.2.2", ">= 1.2.0"])
    end
  else
    s.add_dependency(%q<httpclient>, ["~> 2.2.3"])
    s.add_dependency(%q<json>, [">= 1.5.0"])
    s.add_dependency(%q<rubyzip>, ["~> 0.9.5"])
    s.add_dependency(%q<cucumber>, ["< 1.2.2", ">= 1.2.0"])
  end
end
